com.google.zxing

## Class ReaderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.zxing.ReaderException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ChecksumException, FormatException

      public abstract class ReaderException
      extends Exception

  The general exception class throw when something goes wrong during decoding of a barcode. This includes, but is not limited to, failing checksums / error correction algorithms, being unable to locate finder timing patterns, and so on.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static boolean` | `isStackTrace`
    `protected static StackTraceElement[]` | `NO_TRACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReaderException()`
    `ReaderException(Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `fillInStackTrace()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### isStackTrace

          protected static final boolean isStackTrace

    - #### NO_TRACE

          protected static final StackTraceElement[] NO_TRACE

  - ### Constructor Detail

    - #### ReaderException

          ReaderException()

    - #### ReaderException

          ReaderException(Throwable cause)

  - ### Method Detail

    - #### fillInStackTrace

          public final Throwable fillInStackTrace()

      Overrides:
        `fillInStackTrace` in class `Throwable`